Skip to main content
POST
/
v1
/
config-objects
/
{configObjectId}
/
versions
Create config object version
curl --request POST \
  --url https://api.openworklabs.com/v1/config-objects/{configObjectId}/versions \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {
    "rawSourceText": "<string>",
    "normalizedPayloadJson": {},
    "parserMode": "<string>",
    "schemaVersion": "<string>",
    "metadata": {}
  },
  "reason": "<string>"
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "organizationId": "<string>",
    "objectType": "skill",
    "sourceMode": "cloud",
    "title": "<string>",
    "description": "<string>",
    "searchText": "<string>",
    "currentFileName": "<string>",
    "currentFileExtension": "<string>",
    "currentRelativePath": "<string>",
    "status": "active",
    "createdByOrgMembershipId": "<string>",
    "connectorInstanceId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "latestVersion": {
      "id": "<string>",
      "configObjectId": "<string>",
      "schemaVersion": "<string>",
      "normalizedPayloadJson": {},
      "rawSourceText": "<string>",
      "createdVia": "cloud",
      "createdByOrgMembershipId": "<string>",
      "connectorSyncEventId": "<string>",
      "sourceRevisionRef": "<string>",
      "isDeletedVersion": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  }
}

Path Parameters

configObjectId
string<typeid>
required

Den TypeID with 'cob_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cob_.*

Body

application/json
input
object
required
reason
string
Required string length: 1 - 255

Response

Config object version created successfully.

ok
boolean
required
item
object
required